Method: namespaces.instances.start

Start an Instance which has been stopped.

HTTP request

POST https://run.googleapis.com/apis/run.googleapis.com/v1/{name}:start

Path parameters

Parameters
name

string

Required. The name of the Instance to run. Replace {namespace} with the project ID or number. It takes the form namespaces/{namespace}. For example: namespaces/PROJECT_ID It takes the form namespaces/{namespace}/instances/{instance}.

Authorization requires the following IAM permission on the specified resource name:

  • run.instances.start

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Instance.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.